Bug 832689 - [abrt] vino-3.4.2-1.fc17: Process /usr/libexec/vino-server was killed by signal 11 (SIGSEGV)
[abrt] vino-3.4.2-1.fc17: Process /usr/libexec/vino-server was killed by sign...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: vino (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
abrt_hash:36295bfe1dc68651f2ff5e946fd...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-16 10:14 EDT by Mike Manilone
Modified: 2014-06-18 05:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 06:41:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (24.87 KB, text/plain)
2012-06-16 10:14 EDT, Mike Manilone
no flags Details
File: maps (43.80 KB, text/plain)
2012-06-16 10:14 EDT, Mike Manilone
no flags Details
File: dso_list (9.35 KB, text/plain)
2012-06-16 10:14 EDT, Mike Manilone
no flags Details

  None (edit)
Description Mike Manilone 2012-06-16 10:14:05 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/libexec/vino-server
comment:        Click on the tray icon
crash_function: vino_status_tube_icon_preferences
executable:     /usr/libexec/vino-server
kernel:         3.3.7-1.fc17.x86_64
pid:            21009
pwd:            /
time:           2012年06月16日 星期六 22时03分45秒
uid:            1000
username:       mike

backtrace:      Text file, 25467 bytes
dso_list:       Text file, 9573 bytes
maps:           Text file, 44850 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/mike/2

core_backtrace:
:785daa1816e99b7da8df42206e96c9d9f5eeeb9d 0x2c6c9 - [exe] -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf943 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x27d88 g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x1fa71e - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x17acc9 - libgtk-3.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x206d8 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x282a7 g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x2a2d0e - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x178d96 - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x17a9a3 gtk_main_do_event libgtk-3.so.0 -
:8b33feb27b2125997520fdd21c90c42a65e438f1 0x48e62 - libgdk-3.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47e12 g_main_loop_run libglib-2.0.so.0 -
:785daa1816e99b7da8df42206e96c9d9f5eeeb9d 0xb46b - [exe] -

environ:
:SHELL=/bin/zsh
:DBUS_STARTER_ADDRESS=unix:abstract=/tmp/dbus-hV436Trjfz,guid=9abc7a3b43adf92ecae3342b00000126
:XDG_SESSION_COOKIE=6b6aef0a9383d477e4cf0fbc00000015-1339795496.328558-1886084977
:XDG_RUNTIME_DIR=/run/user/mike
:DISPLAY=:0
:DESKTOP_SESSION=gnome
:LC_MEASUREMENT=zh_CN.utf8
:SSH_AUTH_SOCK=/run/user/mike/keyring-1KQ2Sp/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1140,unix/unix:/tmp/.ICE-unix/1140
:LC_MONETARY=zh_CN.utf8
:LC_NUMERIC=zh_CN.utf8
:LC_TIME=zh_CN.utf8
:WINDOWPATH=1
:PATH=/usr/local/bin:/usr/bin:/bin
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:XDG_VTNR=1
:USERNAME=mike
:GDMSESSION=gnome
:XDG_SESSION_ID=2
:GPG_AGENT_INFO=/run/user/mike/keyring-1KQ2Sp/gpg:0:1
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-hV436Trjfz,guid=9abc7a3b43adf92ecae3342b00000126
:XDG_SEAT=seat0
:XAUTHORITY=/var/run/gdm/auth-for-mike-jxe3uC/database
:USER=mike
:DBUS_STARTER_BUS_TYPE=session
:SHLVL=1
:PWD=/home/mike
:GDM_LANG=zh_TW.utf8
:GNOME_KEYRING_CONTROL=/run/user/mike/keyring-1KQ2Sp
:LANG=zh_TW.utf8
:_=/usr/bin/dbus-launch
:LOGNAME=mike
:HOME=/home/mike

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 30404                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       30404                30404                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100002
:1:/dev/null
:pos:	0
:flags:	0100002
:2:/dev/null
:pos:	0
:flags:	0100002
:3:socket:[380670]
:pos:	0
:flags:	02004002
:4:/dev/null
:pos:	0
:flags:	0100002
:5:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:6:socket:[380673]
:pos:	0
:flags:	02004002
:7:socket:[381913]
:pos:	0
:flags:	02000002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:socket:[383251]
:pos:	0
:flags:	02004002
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:12:socket:[380675]
:pos:	0
:flags:	02004002
:13:/dev/urandom
:pos:	0
:flags:	02100000
:14:socket:[380676]
:pos:	0
:flags:	02000002
:15:socket:[380681]
:pos:	0
:flags:	02
:16:socket:[380682]
:pos:	0
:flags:	02
:17:socket:[380683]
:pos:	0
:flags:	02004002
:18:socket:[380687]
:pos:	0
:flags:	02
:19:socket:[380688]
:pos:	0
:flags:	02
:20:socket:[382954]
:pos:	0
:flags:	02
:21:socket:[382955]
:pos:	0
:flags:	02
:22:socket:[383394]
:pos:	0
:flags:	02
:23:socket:[383395]
:pos:	0
:flags:	02
:24:socket:[380838]
:pos:	0
:flags:	04002

var_log_messages:
:Jun 16 21:55:09 mike kernel: [59358.423698] vino-server[1331]: segfault at 8 ip 000000000042c6c9 sp 00007fff79439fc0 error 4 in vino-server[400000+41000]
:Jun 16 21:55:09 mike abrt[20964]: Saved core dump of pid 1331 (/usr/libexec/vino-server) to /var/spool/abrt/ccpp-2012-06-16-21:55:09-1331 (31649792 bytes)
:Jun 16 21:55:24 mike kernel: [59372.912420] vino-server[20969]: segfault at 8 ip 000000000042c6c9 sp 00007fff75618710 error 4 in vino-server[400000+41000]
:Jun 16 21:55:24 mike abrt[20999]: Not dumping repeating crash in '/usr/libexec/vino-server'
:Jun 16 21:55:24 mike gnome-session[1140]: WARNING: App 'vino-server.desktop' respawning too quickly
:Jun 16 21:55:24 mike gnome-session[1140]: WARNING: Error on restarting session managed app: Component 'vino-server.desktop' crashing too quickly
:Jun 16 22:03:45 mike kernel: [59873.552090] vino-server[21009]: segfault at 8 ip 000000000042c6c9 sp 00007fff97a447a0 error 4 in vino-server[400000+41000]
:Jun 16 22:03:45 mike abrt[21398]: Saved core dump of pid 21009 (/usr/libexec/vino-server) to /var/spool/abrt/ccpp-2012-06-16-22:03:45-21009 (45019136 bytes)

xsession_errors:
:(vino-server:1331): EggSMClient-CRITICAL **: egg_sm_client_set_mode: assertion `global_client == NULL || global_client_mode == EGG_SM_CLIENT_MODE_DISABLED' failed
:** (vino-server:1331): WARNING **: server/vino-server.c:1200: invalid property id 18 for "notify-on-connect" of type `GParamBoolean' in `VinoServer'
:** (vino-server:1331): WARNING **: server/vino-server.c:1200: invalid property id 18 for "notify-on-connect" of type `GParamBoolean' in `VinoTubeServer'
:(vino-server:1331): GLib-GIO-CRITICAL **: g_app_info_launch: assertion `G_IS_APP_INFO (appinfo)' failed
:(vino-server:20969): EggSMClient-CRITICAL **: egg_sm_client_set_mode: assertion `global_client == NULL || global_client_mode == EGG_SM_CLIENT_MODE_DISABLED' failed
:** (vino-server:20969): WARNING **: server/vino-server.c:1200: invalid property id 18 for "notify-on-connect" of type `GParamBoolean' in `VinoServer'
:** (vino-server:20969): WARNING **: server/vino-server.c:1200: invalid property id 18 for "notify-on-connect" of type `GParamBoolean' in `VinoTubeServer'
:** (vino-server:20969): WARNING **: server/vino-server.c:1200: invalid property id 18 for "notify-on-connect" of type `GParamBoolean' in `VinoTubeServer'
:(vino-server:20969): GLib-GIO-CRITICAL **: g_app_info_launch: assertion `G_IS_APP_INFO (appinfo)' failed
:gnome-session[1140]: WARNING: App 'vino-server.desktop' respawning too quickly
:gnome-session[1140]: WARNING: Error on restarting session managed app: Component 'vino-server.desktop' crashing too quickly
Comment 1 Mike Manilone 2012-06-16 10:14:12 EDT
Created attachment 592319 [details]
File: backtrace
Comment 2 Mike Manilone 2012-06-16 10:14:16 EDT
Created attachment 592320 [details]
File: maps
Comment 3 Mike Manilone 2012-06-16 10:14:19 EDT
Created attachment 592321 [details]
File: dso_list
Comment 4 Fedora End Of Life 2013-07-03 23:17:31 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-08-01 06:41:17 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.